dpp::error_info
restresults.h
uint32_t uint32_t dpp::error_info::code code dpp::error_info::code = 0

Error code.

std::vector< error_detail > std::vector<error_detail> dpp::error_info::errors errors dpp::error_info::errors

Field specific error descriptions.

std::string std::string dpp::error_info::human_readable human_readable dpp::error_info::human_readable

Human readable error message constructed from the above.

std::string std::string dpp::error_info::message message dpp::error_info::message

Error message.

The full details of an error from a REST response.

T
dpp::error_detail
code
field
object
reason
dpp::error_info
code
human_readable
message
errors
std::basic_string< Char >
std::string
std::vector< T >
elements
std::vector< dpp::error_detail >
elements
< dpp::error_detail >
uint32_t
- dpp::error_info
  code
- dpp::error_info
  errors
- dpp::error_info
  human_readable
- dpp::error_info
  message